Eclipse Platform Release 3.7

## org.eclipse.ui.commands
Class NotHandledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.ui.commands.CommandException
                  org.eclipse.ui.commands.NotHandledException

All Implemented Interfaces:
  Serializable

Deprecated. Please use the "org.eclipse.core.commands" plug-in instead.

    public final class NotHandledException

extends CommandException

Signals that an attempt was made to access the properties of an unhandled object.

This class is not intended to be extended by clients.

Since:
  3.0
See Also:
  `NotHandledException`, Serialized Form

Constructor Summary
`NotHandledException(NotHandledException e)` Deprecated. Constructs a legacy `NotHandledException` based on the new `NotHandledException`
`NotHandledException(String s)` Deprecated. Creates a new instance of this class with the specified detail message.

Method Summary

Methods inherited from class org.eclipse.ui.commands.CommandException
`getCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotHandledException

    public NotHandledException(String s)

  Deprecated.
  Creates a new instance of this class with the specified detail message.

  Parameters:
    `s` - the detail message.

### NotHandledException

    public NotHandledException(NotHandledException e)

  Deprecated.
  Constructs a legacy `NotHandledException` based on the new `NotHandledException`

  Parameters:
    `e` - The exception from which this exception should be created; must not be `null`.
  Since:
    3.1

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.